@charset "UTF-8";

/* 変数リスト */
:root {
    --form_input_width: 300px;
    --form_input_line-hight: 2;
    --form_input_text: 13px;
    --form_label_text: 15px;
    --form_label_must_text: 13px;
    --form_submit_text: 18px;
    --form_input_must_color: red;
    --border_color: #0E242D;
    --input_area_color: #DCDDDD;
    /* #0E242D */
    --background_color: white;
        /* 色定義 */
        /* 濃い紺 */
        --dark: #0E242D;
        /* 薄い紺 */
        --bright: #203A42;
        /* ハイライト（金） */
        --highlight: #CC9900;
  }

/* 全体 */
* {
    box-sizing: border-box;
    font-family:"YuMincho","游明朝体","Yu Mincho","游明朝";
}

body{
    margin: 0px;
}

/* 背景 */
.background::before {
    content:"";
    display:block;
    position:fixed;
    top:0;
    left:0;
    z-index:-1;
    width:100%;
    height:100vh;
    background-repeat: no-repeat;
    background-position: center center;
    background: url(http://240223.abcatap.com/photo/background.svg),linear-gradient(0deg, var(--dark), var(--bright));
    background-size: 1200%;
}

/* 画面上部のロゴとタイトル */
div.top{
    display: flex;
    width: 380px;
    margin: auto;
    margin-bottom: 5px;
    padding: 10px 20px;
    vertical-align: middle;
    align-items: center;
    gap: 0px 10px;
}
    p.img{
        height: 30px;
    }
    p.toptext{
        font-size: 25px;
        text-align:center;
        color: white;
        margin: 15px 0px;
    }

/* 案内文 */
.info{
    text-align: center;
    color: white;
    margin-top: 40px;
}
    p.text{
        font-size: 18px;
    }
    p.date{
        font-size: 25px;
        margin: 30px 0px 50px;
    }

.main{
    margin: 0 auto;
    width: 380px;
    text-align: center;
    color: #CC9900;
}

/* フォーム */
.form {
    width: 340px;
    display: flex;
    margin: 0 auto;
    margin-bottom: 50px;
    justify-content: center;
    text-align:  center;
}


/* 出欠選択ボタン */
    label.radio_left, label.radio_right {
        display: inline-block;
        padding: 10px;
        padding-left: 20px;
        padding-right: 20px;
        background-color: grey;
        border-radius: 300px;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
        color: var(-bright);
        margin-bottom: 50px;
        justify-content:space-between;
        flex-wrap: wrap;
    }
    label.radio_left {
        margin-right: 10px;
    }
    label.radio_right {
        margin-left: 10px;
    }
    input[type=radio]{
        display: none;
    }
    input[type=radio]:hover + label {
        background-color: lightgray;
        color: var(--border_color);
        }
    input[type=radio]:checked + label {
        outline: solid 1px white;    /* 外側の線になる一本線の枠線をひく*/
        outline-offset: 2px;        /* 外側の線と内側の線の空き具合を調整*/
        margin: 3px;            	/* 外側の線を広げた分、要素の大きさを調整する*/
        background-color: white;
        }

/* 登録ボタン */
    .submit_button{
        width: 100%;
        padding: 12px;
        background-color: var(--highlight);
        border-radius: 5px;
        /* position: relative; */
        z-index: 1;
        color: white;
        border: none;
        text-align: center;
        font-size: var(--form_submit_text);
    }
    .submit_button:hover {
        box-shadow: 0 2px 8px -1px rgb(200 200 200 / 50%), 0 0 12px var(--highlight);
        transition:box-shadow 0.2s ease-in-out;
    }


    /* ロゴアニメーション */
.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 10;
    /* background-color: #0E242D; */
    background: linear-gradient(-180deg, var(--bright), var(--dark));
    display: flex;
    align-items: center;
    justify-content: center;
    animation: fadeOut 1.5s 2.5s forwards;
  }
  
    @keyframes fadeOut {
      0% {
        opacity: 1;
      }
  
      100% {
        opacity: 0;
        visibility: hidden;
      }
    }
  
    .loading__logo {
      opacity: 0;
      animation: logo_fade 2s 0.5s forwards;
      width: 100px;
    }
  
    @keyframes logo_fade {
      0% {
        opacity: 0;
        transform: translateY(20px);
      }
  
      60% {
        opacity: 1;
        transform: translateY(0);
      }
  
      100% {
        opacity: 0;
      }
    }